// Plugins for Entice Designer
// www.dprogramming.com/entice.php


import enticeplugin;


// Note: should set the plugin name near @to-do.

export extern(Windows) void enticePluginLoaded(EnticeFunctions* efuncs)
{
	beginEnticePlugin(efuncs); // This call is required for D and must be first.
	
	// Plugin loaded code goes here.
	// Here is where you typically register menu items, shortcuts, etc.
}


// This function cannot use D's garbage collector.
// Only for load parameters.
// Return one of the following:
// 	0 = Successfully load.
// 	1 = Abort load due to problem.
// 	2 = Successfully unload / prevent load.
export extern(Windows) int enticePluginLoad(EnticePluginInfo* epinfo)
{
	//epinfo.name = ; // @to-do: Set plugin's name; must be null-terminated (or a string literal).
	
	if(epinfo.flags & 2)
		epinfo.desc = "No description given."; // Optional description. Must be null or a null-terminated string (or a string literal).
	
	epinfo.thisMajorVersion = MAJOR_VERSION;
	epinfo.thisMinorVersion = MINOR_VERSION;
	
	return 0; // OK.
}


export extern(Windows) void enticePluginUnloaded(EnticeFunctions* efuncs, int n)
{
	// Plugin unloaded code goes here.
	
	endEnticePlugin(efuncs);
}

